Page MenuHomePhabricator

Create checklist for civi upgrades
Closed, ResolvedPublic

Description

Last night queues weren't turned back on.

It would be generally helpful to have a checklist for Civi upgrades, especially in case someone other than eileen or elliott needs to do them.

Event Timeline

mepps created this task.May 7 2019, 3:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2019, 3:24 PM

We actually have this

https://collab.wikimedia.org/wiki/Checklists_for_maintenance_%26_Recovery

I think last night was an fr-ops update & we snuck in a trigger reload & I didn't check what outage plan there was (in part due to local issues) but when we've had planned civi upgrades that are more than a minor deploy (generally defined by needing to take down banners & queues) we create one of the etherpads per the bottom of that page

Can we publish the checklist or release notes to collab every time we upgrade?

@DStrine - that's pretty much what the lists are at the bottom of that page - I feel like we use/add them reliably when it's an upgrade to Civi - but perhaps not when it's an ops upgrade that affects Civi - which might be a gap

mepps added a comment.May 13 2019, 9:00 PM

I didn't know this existed! I need to add a link on the documentation homepage.

@cwdent, @Eileenmcnaughton and I were just discussing that it might be helpful if we put up notes like those at the bottom of the collab page she linked for any time there is an outage.

DStrine closed this task as Resolved.May 14 2019, 8:17 PM